Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface ThreadPoolStats

All Superinterfaces:
  Stats

public interface ThreadPoolStats
extends Stats

Stats interface for the monitorable attributes of a generic thread pool.

See Also:
  `ThreadPoolMonitor`

Method Summary
`RangeStatistic` | `getAverageTimeInQueue()` Returns average time in milliseconds a work item waited in the work queue before getting processed.
`RangeStatistic` | `getAverageWorkCompletionTime()` Returns the statistical information about the average completion time of a work item in milliseconds.
`BoundedRangeStatistic` | `getCurrentNumberOfThreads()` Returns the statistical information about the number of Threads in the associated ThreaPool, as an instance of BoundedRangeStatistic.
`CountStatistic` | `getNumberOfAvailableThreads()` Returns the total number of available threads, as an instance of `CountStatistic`.
`CountStatistic` | `getNumberOfBusyThreads()` Returns the number of busy threads, as an instance of `CountStatistic`.
`CountStatistic` | `getTotalWorkItemsAdded()` Returns the the total number of work items added so far to the work queue associated with threadpool.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCurrentNumberOfThreads

    public BoundedRangeStatistic getCurrentNumberOfThreads()

  Returns the statistical information about the number of Threads in the associated ThreaPool, as an instance of BoundedRangeStatistic. This returned value gives an idea about how the pool is changing.

  Returns:
    an instance of `BoundedRangeStatistic`

### getNumberOfAvailableThreads

    public CountStatistic getNumberOfAvailableThreads()

  Returns the total number of available threads, as an instance of `CountStatistic`.

  Returns:
    an instance of `CountStatistic`

### getNumberOfBusyThreads

    public CountStatistic getNumberOfBusyThreads()

  Returns the number of busy threads, as an instance of `CountStatistic`.

  Returns:
    an instance of `CountStatistic`

### getAverageWorkCompletionTime

    public RangeStatistic getAverageWorkCompletionTime()

  Returns the statistical information about the average completion time of a work item in milliseconds.

  Returns:
    an instance of `RangeStatistic`

### getTotalWorkItemsAdded

    public CountStatistic getTotalWorkItemsAdded()

  Returns the the total number of work items added so far to the work queue associated with threadpool.

  Returns:
    an instance of `CountStatistic`

### getAverageTimeInQueue

    public RangeStatistic getAverageTimeInQueue()

  Returns average time in milliseconds a work item waited in the work queue before getting processed.

  Returns:
    an instance of `RangeStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.